Bug 13919 - SMB_FILE_NORMALIZED_NAME_INFORMATION not implemented
SMB_FILE_NORMALIZED_NAME_INFORMATION not implemented
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-29 14:29 UTC by Stefan Metzmacher
Modified: 2019-05-21 09:40 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.10.next, 4.9.next (33.59 KB, patch)
2019-05-01 18:49 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-04-29 14:29:43 UTC
Windows 10 (1803 and higher) support and use SMB_FILE_NORMALIZED_NAME_INFORMATION
calls over the network. As a fallback (in case the server don't support it)
the client traverses all path components, which is very expensive.

Implementing SMB_FILE_NORMALIZED_NAME_INFORMATION is very cheap for us
as the open already went through unix_convert() and we have the information
the client is asking for.
Comment 1 Jeremy Allison 2019-05-01 18:49:02 UTC
Created attachment 15115 [details]
git-am fix for 4.10.next, 4.9.next

Cherry-picked from master.
Comment 2 Karolin Seeger 2019-05-16 10:19:48 UTC
Pushed to autobuild-v4-{10,9}-test.
Comment 3 Karolin Seeger 2019-05-21 09:40:31 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!